@font-face {
  font-family: "Vazirmatn Regular";
  src: url("assets/fonts/Vazirmatn-Regular.ttf") format("truetype");
  font-display: swap;
}

@font-face {
  font-family: "Vazirmatn Medium";
  src: url("assets/fonts/Vazirmatn-Medium.ttf") format("truetype");
  font-display: swap;
}

@font-face {
  font-family: "Vazirmatn SemiBold";
  src: url("assets/fonts/Vazirmatn-SemiBold.ttf") format("truetype");
  font-display: swap;
}

@font-face {
  font-family: "Vazirmatn Bold";
  src: url("assets/fonts/Vazirmatn-Bold.ttf") format("truetype");
  font-display: swap;
}

@font-face {
  font-family: "Vazirmatn ExtraBold";
  src: url("assets/fonts/Vazirmatn-ExtraBold.ttf") format("truetype");
  font-display: swap;
}

@font-face {
  font-family: "Vazirmatn Black";
  src: url("assets/fonts/Vazirmatn-Black.ttf") format("truetype");
  font-display: swap;
}

:root,
body {
  font-family: "Vazirmatn Regular", Tahoma, sans-serif;
  font-synthesis: none;
}

:is(button, label) {
  font-family: "Vazirmatn Medium", Tahoma, sans-serif;
}

:is(input, select, textarea) {
  font-family: "Vazirmatn Regular", Tahoma, sans-serif !important;
  font-synthesis: none;
}

:is(input, select, textarea):is(:focus, :focus-visible) {
  outline: none !important;
  box-shadow: none !important;
}

input::-webkit-credentials-auto-fill-button,
input::-webkit-contacts-auto-fill-button {
  position: absolute;
  visibility: hidden;
  display: none !important;
  pointer-events: none;
}

input::-ms-reveal,
input::-ms-clear {
  display: none;
}

:is(strong, b) {
  font-family: "Vazirmatn SemiBold", Tahoma, sans-serif;
}

:is(h1, h2, h3, h4, h5, h6) {
  font-family: "Vazirmatn Bold", Tahoma, sans-serif;
}
